For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate comment
      • POSTCreate comment attachment
      • DELDelete comment attachment
      • GETList comments
      • GETShow comment
      • PATCHUpdate comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

Create comment

Deprecated
POST
https://api.frame.io/v4/accounts/:account_id/files/:file_id/comments
POST
/v4/accounts/:account_id/files/:file_id/comments
1from frameio_experimental import FrameioExperimental, Anchor, AttachmentInput, LinkParams, TextReviewAnnotation, TextReviewAnnotationBounds
2from frameio_experimental.comments import CreateCommentParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.comments.create(
9 account_id="89b20135-b35f-4351-bd3f-b2e877d3c7bb",
10 file_id="46324afb-7b92-4345-91b9-527786ee0537",
11 data=CreateCommentParamsData(
12 text="This is great!",
13 anchor=Anchor(
14 x=0.5,
15 y=0.5,
16 ),
17 annotation="[{\"tool\":\"rect\",\"color\":\"#F22237\",\"size\":8,\"x\":0.277726001863933,\"y\":0.12909555568499534,\"w\":0.3153168321877913,\"h\":0.5308131407269339,\"ix\":0.277726001863933,\"iy\":0.12909555568499534,\"radius\":8}]",
18 attachments=[
19 AttachmentInput(
20 file_size=1024000,
21 media_type="image/png",
22 name="screenshot.png",
23 )
24 ],
25 completed=False,
26 duration=10,
27 links=[
28 LinkParams(
29 end_index=13,
30 start_index=5,
31 url="https://www.example.com",
32 )
33 ],
34 page=4,
35 text_review_annotation=TextReviewAnnotation(
36 bounds=[
37 TextReviewAnnotationBounds(
38 height=42,
39 width=130,
40 x=12.5,
41 y=24,
42 )
43 ],
44 selection_text="existing copy",
45 suggested_text="updated copy",
46 text_review_annotation_type="replace",
47 ),
48 timestamp="00:00:02:12",
49 ),
50)
1{
2 "data": {
3 "annotation": "annotation",
4 "attachments": [
5 {
6 "created_at": "2024-02-02T21:19:24.828948Z",
7 "file_size": 1024000,
8 "id": "463b812b-3bf8-4ffa-93fe-d24cbc45b3f1",
9 "media_type": "image/png",
10 "name": "screenshot.png",
11 "upload_urls": [
12 "https://s3.amazonaws.com/bucket/part1?signature=..."
13 ]
14 }
15 ],
16 "completed_at": null,
17 "completer_id": null,
18 "created_at": "2024-02-02T21:19:24.828948Z",
19 "duration": 10,
20 "file_id": "4ae08df1-b419-4897-aba5-560198a18237",
21 "id": "1a58da22-fd26-4c27-9a2d-c9ec7016107e",
22 "links": [
23 {
24 "end_index": 13,
25 "start_index": 5,
26 "text": "Test User",
27 "url": "https://www.example.com"
28 }
29 ],
30 "mentions": [
31 {
32 "end_index": 13,
33 "start_index": 5,
34 "text": "Test User",
35 "user_id": "f07ec568-76f9-4ca7-af85-9c4f692cb715"
36 }
37 ],
38 "page": 1,
39 "text": "This is great!",
40 "text_edited_at": "2024-02-02T21:19:24.828948Z",
41 "text_review_annotation": {
42 "bounds": [
43 {
44 "height": 42,
45 "width": 130,
46 "x": 12.5,
47 "y": 24
48 }
49 ],
50 "selection_text": "existing copy",
51 "suggested_text": "updated copy",
52 "text_review_annotation_type": "replace"
53 },
54 "timestamp": 123,
55 "updated_at": "2024-02-02T21:19:24.828948Z",
56 "anchor": {
57 "x": 0.5,
58 "y": 0.5
59 }
60 }
61}
Create a comment on a file. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.create. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Create comment attachment

Next

Create a comment on a file.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.create.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
file_idstringRequiredformat: "uuid"
A UUID String

Query parameters

timestamp_as_timecodebooleanOptional

Request

Comment params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error